//
//  Barcode_MobileAppDelegate.h
//  Barcode Mobile
//
//  Created by Aaron Wright on 4/16/12.
//  Copyright (c) 2012 A.C. Wright Design. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Barcode_MobilePersistenceManager.h"
#import "Barcode_MobileBarcodeViewController.h"
#import "Barcode_MobileBarcodeTableViewController.h"

#define kBarcode_MobileUbiquityContentChangedNotification @"Barcode_MobileUbiquityContentChangedNotification"

@interface Barcode_MobileAppDelegate : UIResponder <UIApplicationDelegate>

@property (nonatomic, strong) UIWindow *window;
@property (nonatomic, strong) IBOutlet UINavigationController *masterViewController;
@property (nonatomic, strong) IBOutlet Barcode_MobileBarcodeViewController *detailViewController;

- (IBAction)save:(id)sender;
- (IBAction)toggle:(id)sender;

@end
