//
//  Barcode_MobileBarcode.h
//  Barcode Mobile
//
//  Created by Aaron Wright on 5/29/12.
//  Copyright (c) 2012 A.C. Wright Design. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>
#import "UIColor+Hex.h"

@interface Barcode_MobileBarcode : NSManagedObject

@property (nonatomic, strong) NSNumber *alpha;
@property (nonatomic, strong) NSNumber *barHeight;
@property (nonatomic, strong) NSNumber *barWidth;
@property (nonatomic, assign) BOOL captioned;
@property (nonatomic, strong) NSString *color;
@property (nonatomic, strong) NSString *data;
@property (nonatomic, strong) NSNumber *captionHeight;
@property (nonatomic, strong) NSNumber *captionSize;
@property (nonatomic, strong) NSString *symbology;
@property (nonatomic, strong) NSString *title;

@end
