//
//  Barcode_MobileInfoTableViewController.h
//  Barcode Mobile
//
//  Created by Aaron Wright on 5/16/12.
//  Copyright (c) 2012 A.C. Wright Design. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Barcode_MobileBarcode.h"
#import "Barcode_MobileSymbologyViewController.h"

@interface Barcode_MobileInfoTableViewController : UITableViewController <UITableViewDataSource, UITableViewDelegate, UITextFieldDelegate>

@property (nonatomic, strong) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, strong) Barcode_MobileBarcode *barcode;
@property (nonatomic, strong) IBOutlet UITextField *titleTextField;
@property (nonatomic, strong) IBOutlet UITextField *dataTextField;
@property (nonatomic, strong) IBOutlet UITextField *colorTextField;
@property (nonatomic, strong) IBOutlet UISlider *widthSlider;
@property (nonatomic, strong) IBOutlet UISlider *heightSlider;
@property (nonatomic, strong) IBOutlet UISlider *captionHeightSlider;
@property (nonatomic, strong) IBOutlet UISlider *captionSizeSlider;
@property (nonatomic, strong) IBOutlet UISlider *alphaSlider;
@property (nonatomic, strong) IBOutlet UILabel *widthLabel;
@property (nonatomic, strong) IBOutlet UILabel *heightLabel;
@property (nonatomic, strong) IBOutlet UILabel *captionHeightLabel;
@property (nonatomic, strong) IBOutlet UILabel *captionSizeLabel;
@property (nonatomic, strong) IBOutlet UILabel *alphaLabel;
@property (nonatomic, strong) IBOutlet UILabel *symbologyLabel;
@property (nonatomic, strong) IBOutlet UISwitch *captionSwitch;
@property (nonatomic, strong) NSNumberFormatter *integerFormatter;
@property (nonatomic, strong) NSNumberFormatter *floatFormatter;

- (IBAction)widthSliderChanged:(id)sender;
- (IBAction)heightSliderChanged:(id)sender;
- (IBAction)captionHeightSliderChanged:(id)sender;
- (IBAction)captionSizeSliderChanged:(id)sender;
- (IBAction)alphaSliderChanged:(id)sender;
- (IBAction)captionSwitchChanged:(id)sender;

@end
