//
//  Barcode_MobileBarcodeTableViewController.h
//  Barcode Mobile
//
//  Created by Aaron Wright on 5/16/12.
//  Copyright (c) 2012 A.C. Wright Design. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "BarcodeKit.h"
#import "Barcode_MobileBarcode.h"

#define kBarcode_MobileBarcodeTableViewControllerSelectionChangedNotification @"Barcode_MobileBarcodeTableViewControllerSelectionChangedNotification"

@interface Barcode_MobileBarcodeTableViewController : UITableViewController <UITableViewDataSource, UITableViewDelegate>

@property (nonatomic, strong) NSArray *barcodes;
@property (nonatomic, strong) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, strong) BarcodeKitBarcode *barcode;

- (IBAction)add:(id)sender;
- (IBAction)fetch:(id)sender;
- (IBAction)select:(id)sender;
- (IBAction)notify:(id)sender;

@end
