//
//  Barcode_MobileBarcodeView.h
//  Barcode Mobile
//
//  Created by Aaron Wright on 4/17/12.
//  Copyright (c) 2012 A.C. Wright Design. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>
#import "BarcodeKit.h"
#import "BarcodeKitBarcodeView.h"

#define kBarcode_MobileBarcodeViewErrorDomain @"Barcode_MobileBarcodeViewErrorDomain"
#define kBarcode_MobileBarcodeViewNoBarcodeError 0

#define kBarcode_MobileBarcodeViewPadding             96.0
#define kBarcode_MobileBarcodeCanvasPadding           96.0
#define kBarcode_MobileBarcodeRulerPadding            12.0
#define kBarcode_MobileBarcodeRulerIndicatorLength    6.0
#define kBarcode_MobileBarcodeRulerFontFamily         @"Courier"
#define kBarcode_MobileBarcodeRulerFontSize           10.0

@class Barcode_MobileBarcodeView;

@interface Barcode_MobileBarcodeView : UIView

@property (nonatomic, strong) BarcodeKitBarcode *barcode;
@property (nonatomic, assign) BOOL shouldShowRulers;

- (id)initWithBarcode:(BarcodeKitBarcode *)barcode;

@end
