//
//  Barcode_MobilePersistenceManager.h
//  Barcode Mobile
//
//  Created by Aaron Wright on 6/27/12.
//  Copyright (c) 2012 A.C. Wright Design. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Barcode_MobilePersistenceManager : NSObject

@property (nonatomic, strong, readonly) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, strong, readonly) NSManagedObjectModel *managedObjectModel;
@property (nonatomic, strong, readonly) NSPersistentStoreCoordinator *persistentStoreCoordinator;
@property (nonatomic, strong, readonly) NSURL *persistentStoreDirectory;

+ (Barcode_MobilePersistenceManager *)defaultManager;

- (IBAction)save:(id)sender;

- (NSUndoManager *)undoManager;

@end
